# United States Navy Bootcamp - Company 77-164

QM1 Amado and EM1 Finch.  Amado a Jamican who spoke PERFECT english, no accent, sharp as a tack and made rank everytime he tested.  Amado was direct, leader, fair and honorable.  He had the best companies and I was honored to be in his company 77-164 - Bobby Estey USN - USS Constellation CV64 (77-81)

